body.no-scroll {
    overflow-y: scroll !important;
    position: fixed;
    top: 0;
    width: 100%;
}

.bottom-sheet {
	position: fixed;
	z-index: 1061;
	top: 0;
	left: calc(50% + var(--body_width02));
	width: 100%;
	max-width: var(--body_width);
	height: 100%;
	display: flex;
	opacity: 0;
	pointer-events: none;
	align-items: center;
	flex-direction: column;
	justify-content: flex-end;
	transition: 0.1s linear;
	transform: translateX(-50%);
}
.bottom-sheet.show {
  opacity: 1;
  pointer-events: auto;
}
.bottom-sheet .sheet-overlay {
  position: fixed;
  inset: 0;
  z-index: -1;
  opacity: 0.5;
  background: #000;
}
.bottom-sheet .content {
  width: 100%;
  position: relative;
  background: #fff;
  max-height: 100dvh;
  max-width: var(--body_width);
  padding-bottom: env(safe-area-inset-bottom);
  transform: translateY(100%);
  border-radius: 1.6rem 1.6rem 0 0;
  transition: 0.3s ease;
  overflow-y: auto; /* ⭐⭐ 내용이 넘치면 .content 안에서 스크롤이 생기도록! ⭐⭐ */
  -webkit-overflow-scrolling: touch; /* iOS에서 부드러운 스크롤 (선택 사항) */

}
.bottom-sheet.show .content {
  transform: translateY(0%);
}
.bottom-sheet.dragging .content {
  transition: none;
}
.bottom-sheet.fullscreen .content {
  border-radius: 0;
  overflow-y: hidden;
}
.bottom-sheet .header {
  display: flex;
  justify-content: center;
}
.header .drag-icon {
    cursor: grab;
    user-select: none;
    padding: 2.4rem 2.0rem 3.0rem;
    margin-top: -1.2rem;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.header .drag-icon span {
  height: 0.4rem;
  width: 30px;
  display: block;
  background: var(--gray-300);
  border-radius: 2.0rem;
}
.bottom-sheet .body {
  overflow-y: auto;
  padding: 0 1.6rem 2.0rem;
  scrollbar-width: none;
}
.bottom-sheet .body::-webkit-scrollbar {
  width: 0;
}

/*반응형 max 992px lg*/
@media (max-width: 991.98px) {
	.bottom-sheet{left: 50%;}
} 

